PLplot: wxPLplotApp Class Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Private Attributes | List of all members
wxPLplotApp Class Reference

`#include "wxwidgets.h"`

## Public Member Functions
virtual bool | OnInit ()
void | SetExitFlag (bool flag=true)
bool | GetExitFlag (void)
void | SetAdvanceFlag (bool flag=true)
bool | GetAdvanceFlag (void)
void | SetRefreshFlag (bool flag=true)
void | AddFrame (wxPLplotFrame *frame)
void | RemoveFrame (wxPLplotFrame *frame)
size_t | FrameCount (void)
void | OnIdle (wxIdleEvent &event)

## Private Attributes
bool | exit
bool | advance
wxArrayOfwxPLplotFrame | FrameArray

## Detailed Description

Definition at line 371 of file wxwidgets.h.

## Member Function Documentation

void wxPLplotApp::AddFrame | ( | wxPLplotFrame * | frame | ) |
| inline

Definition at line 381 of file wxwidgets.h.

size_t wxPLplotApp::FrameCount | ( | void |  | ) |
| inline

Definition at line 383 of file wxwidgets.h.

bool wxPLplotApp::GetAdvanceFlag | ( | void |  | ) |
| inline

Definition at line 379 of file wxwidgets.h.

bool wxPLplotApp::GetExitFlag | ( | void |  | ) |
| inline

Definition at line 377 of file wxwidgets.h.

void wxPLplotApp::OnIdle | ( | wxIdleEvent & | event | ) |

virtual bool wxPLplotApp::OnInit | ( |  | ) |
| virtual

void wxPLplotApp::RemoveFrame | ( | wxPLplotFrame * | frame | ) |
| inline

Definition at line 382 of file wxwidgets.h.

void wxPLplotApp::SetAdvanceFlag | ( | bool | flag = `true` | ) |
| inline

Definition at line 378 of file wxwidgets.h.

void wxPLplotApp::SetExitFlag | ( | bool | flag = `true` | ) |
| inline

Definition at line 376 of file wxwidgets.h.

void wxPLplotApp::SetRefreshFlag | ( | bool | flag = `true` | ) |

## Member Data Documentation

bool wxPLplotApp::advance
| private

Definition at line 388 of file wxwidgets.h.

bool wxPLplotApp::exit
| private

Definition at line 387 of file wxwidgets.h.

wxArrayOfwxPLplotFrame wxPLplotApp::FrameArray
| private

Definition at line 389 of file wxwidgets.h.

The documentation for this class was generated from the following file:

- wxwidgets.h